org.eclipse.ease.debugging.events.debugger

## Class SuspendedEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.debugger.SuspendedEvent

All Implemented Interfaces:
  IDebuggerEvent, IDebugEvent

    public class SuspendedEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`SuspendedEvent(int type, java.lang.Object thread, java.util.List<IScriptDebugFrame> debugFrames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<IScriptDebugFrame>` `getDebugFrames()`
`int` `getType()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SuspendedEvent

    public SuspendedEvent(int type,
                          java.lang.Object thread,
                          java.util.List<IScriptDebugFrame> debugFrames)

### Method Detail

#### getType

    public int getType()

#### getDebugFrames

    public java.util.List<IScriptDebugFrame> getDebugFrames()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AbstractEvent`